#
# spec file for package nfs-utils (Version 1.0.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl cyrus-sasl-devel db diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 krb5-devel less libacl libattr libcom_err libevent libgcc libgssapi libnscd librpcsecgss libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg nfsidmap openldap2-client openldap2-devel openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd tcpd-devel texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           nfs-utils
BuildRequires:  gcc-c++ krb5-devel libevent librpcsecgss nfsidmap openldap2-devel tcpd-devel
URL:            http://nfs.sourceforge.net
Summary:        Support Utilities for Kernel nfsd
Version:        1.0.7
Release:        36.10
Group:          Productivity/Networking/NFS
Obsoletes:      knfsd linuxnfs nfsutils
Provides:       knfsd linuxnfs nfsutils
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       portmap
Conflicts:      nfs-server
PreReq:         %fillup_prereq %insserv_prereq
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        ftp://ftp.sourceforge.net/pub/sourceforge/n/nf/nfs/nfs-utils-%{version}.tar.bz2
Source1:        ftp://nfs.sourceforge.net/pub/nfs/nfs.doc.tar.bz2
Source10:       nfsserver.init
Source12:       sysconfig.nfs-nfs-utils
Source13:       idmapd.init
Source14:       gssd.init
Source15:       svcgssd.init
Patch:          nfs-utils-1.0.6-dep.patch
Patch1:         nfs-utils-1.0.6-nsm.patch
Patch2:         nfs-utils-1.0.6-doc.patch
Patch3:         export-acl.diff
Patch4:         nfs-utils-1.0.6-quota.patch
Patch5:         nfs-utils-1.0.7-headtail.patch
Patch6:         nfs-utils-1.0.6-largefiles.patch
Patch7:         nfs-utils-1.0.6-anon-uid32.patch
Patch8:         nfs-utils-1.0.7-destdir.patch
Patch9:         nfs-utils-1.0.7-gssapi.patch
Patch10:        nfs-utils-1.0.6-anon-exports.patch
Patch11:        norootforbuild.diff
Patch13:        nfs-utils-1.0.7-no_sync_warn_ro.patch
Patch14:        nfs-utils-1.0.7-CITI_NFS4_ALL-2.dif
Patch15:        nfs-utils-1.0.6-pie.patch
Patch16:        nfs-utils-1.0.7-strip.patch
Patch17:        nfs-utils-64bigendian.patch
Patch18:        nfs-utils-1.0.7-mount_type3.patch
Patch19:        nfs-utils-1.0.7-gssd-select-ccache.patch

%description
This package contains the NFS utilities. You can tune the number of
server threads via the sysconfig variable USE_KERNEL_NFSD_NUMBER. For
quota over NFS support, install the quota package.



Authors:
--------
    Olaf Kirch <okir@monad.swb.de>
    H.J. Lu <hjl@valinux.com>

%debug_package
%prep
%setup -q -a 1
%patch
%patch1
%patch2 -p1
%patch3 -p1
%patch4
%patch5
%patch6 -p1
%patch7 -p1
%patch8
%patch9
%patch10 -p1
%patch11
%patch13
%patch14 -p1
%patch15 -p1
%patch16
%patch17 -p1
%patch18
%patch19 -p1

%build
%{?suse_update_config:%{suse_update_config -f }}
rm -f configure; autoconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure \
	--mandir=%{_mandir} \
	--disable-rquotad \
	--enable-nfsv4 \
	--enable-gss \
	--with-krb5=/usr/lib/mit
make

%install
make install install_prefix=$RPM_BUILD_ROOT
# we do not need this anymore
rm -fv $RPM_BUILD_ROOT/usr/sbin/rpc.statd
rm -fv $RPM_BUILD_ROOT/%{_mandir}/man8/statd.8*
rm -fv $RPM_BUILD_ROOT/%{_mandir}/man8/rpc.statd.8*
# move lockd to /sbin
install -d $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT/usr/sbin/rpc.lockd $RPM_BUILD_ROOT/sbin
# rc-script
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{SOURCE10} $RPM_BUILD_ROOT/etc/init.d/nfsserver
ln -sf ../../etc/init.d/nfsserver $RPM_BUILD_ROOT/usr/sbin/rcnfsserver
# sysconfig-data
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{SOURCE12} $RPM_BUILD_ROOT/var/adm/fillup-templates
# remove file provided by util-linux
rm -f $RPM_BUILD_ROOT/var/lib/nfs/state
# idmapd setup
install -m 644 utils/idmapd/idmapd.conf $RPM_BUILD_ROOT/etc/idmapd.conf
install -m 755 %{SOURCE13} $RPM_BUILD_ROOT/etc/init.d/idmapd
ln -sf ../../etc/init.d/idmapd $RPM_BUILD_ROOT/usr/sbin/rcidmapd
# gssd setup
install -m 644 support/gssapi/SAMPLE_gssapi_mech.conf $RPM_BUILD_ROOT/etc/gssapi_mech.conf
# lib64 fix
sed -i -e "s@/lib/@/%_lib/@" $RPM_BUILD_ROOT/etc/gssapi_mech.conf
#
install -m 755 %{SOURCE14} $RPM_BUILD_ROOT/etc/init.d/gssd
ln -sf ../../etc/init.d/gssd $RPM_BUILD_ROOT/usr/sbin/rcgssd
install -m 755 %{SOURCE15} $RPM_BUILD_ROOT/etc/init.d/svcgssd
ln -sf ../../etc/init.d/svcgssd $RPM_BUILD_ROOT/usr/sbin/rcsvcgssd
mkdir -p -m 755 $RPM_BUILD_ROOT/var/lib/nfs/rpc_pipefs
mkdir -p -m 755 $RPM_BUILD_ROOT/var/lib/nfs/v4recovery

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%stop_on_removal nfsserver
%stop_on_removal idmapd
%stop_on_removal gssd
%stop_on_removal svcgssd

%post
%{fillup_and_insserv -s nfsserver NFS_SERVER}
%{fillup_only -an nfs}
%{fillup_only -an idmapd}
%{fillup_only -an gssd}
%{fillup_only -an svcgssd}

%postun
%restart_on_update nfsserver
%restart_on_update idmapd
%restart_on_update gssd
%restart_on_update svcgssd
%insserv_cleanup

%files
%defattr(-,root,root)
%doc nfs/*.html nfs/*.ps linux-nfs/*
/var/adm/fillup-templates/sysconfig.nfs-nfs-utils
%dir /var/lib/nfs
%config(noreplace) /var/lib/nfs/xtab
%config(noreplace) /var/lib/nfs/etab
%config(noreplace) /var/lib/nfs/rmtab
%dir /var/lib/nfs/rpc_pipefs
%dir /var/lib/nfs/v4recovery
/usr/sbin/exportfs
/usr/sbin/nfsstat
/usr/sbin/showmount
/usr/sbin/nhfsstone
/usr/sbin/nhfsrun
/usr/sbin/nhfsnums
/usr/sbin/nhfsgraph
/usr/sbin/rcnfsserver
/usr/sbin/rcidmapd
/usr/sbin/rcgssd
/usr/sbin/rcsvcgssd
/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/usr/sbin/rpc.gssd
/usr/sbin/rpc.idmapd
/usr/sbin/rpc.svcgssd
/sbin/rpc.lockd
%config /etc/init.d/nfsserver
%config /etc/init.d/idmapd
%config /etc/init.d/gssd
%config /etc/init.d/svcgssd
%config /etc/idmapd.conf
%config /etc/gssapi_mech.conf
%{_mandir}/man5/exports.5.gz
%{_mandir}/man5/idmapd.conf.5.gz
%{_mandir}/man5/rpc.idmapd.conf.5.gz
%{_mandir}/man7/nfsd.7.gz
%{_mandir}/man8/exportfs.8.gz
%{_mandir}/man8/nfsstat.8.gz
%{_mandir}/man8/nhfsstone.8.gz
%{_mandir}/man8/nhfsrun.8.gz
%{_mandir}/man8/nhfsnums.8.gz
%{_mandir}/man8/nhfsgraph.8.gz
%{_mandir}/man8/showmount.8.gz
%{_mandir}/man8/mountd.8.gz
%{_mandir}/man8/rpc.gssd.8.gz
%{_mandir}/man8/rpc.idmapd.8.gz
%{_mandir}/man8/rpc.mountd.8.gz
%{_mandir}/man8/rpc.lockd.8.gz
%{_mandir}/man8/nfsd.8.gz
%{_mandir}/man8/rpc.nfsd.8.gz
%{_mandir}/man8/lockd.8.gz
%{_mandir}/man8/gssd.8.gz
%{_mandir}/man8/idmapd.8.gz
%{_mandir}/man8/svcgssd.8.gz
%{_mandir}/man8/rpc.svcgssd.8.gz

%changelog -n nfs-utils
* Fri Jun 23 2006 - ro@suse.de
- find kerberos ticket files even if /tmp on reiser (#187775)
* Wed Jun 21 2006 - ro@suse.de
- fix /etc/gssapi_mech.conf for lib64 platforms (#186954)
* Mon Jun 12 2006 - ro@suse.de
- added support for type 3 filehandles to mountd (#182552)
* Fri Jun 02 2006 - ro@suse.de
- disable v4 support in rcnfsserver if NFS4_SUPPORT is
  not set to "yes" (#178633)
* Fri Jun 02 2006 - ro@suse.de
- added fix for 64bit bigendian platforms in gssd (#172605)
* Tue May 02 2006 - okir@suse.de
- gracefully handle repeated "rcidmapd stop" calls (#169087)
* Mon Apr 24 2006 - ro@suse.de
- nfs-server rc-script: make force-reload do as reload does
  (#167152)
- nfs-server rc-script: reload idmapd if NFSV4 is on (#167016)
* Thu Mar 23 2006 - okir@suse.de
- Make gssd and svcgssd scripts mount rpc_pipefs if not there
  (#158000) and added "Should-start: krb5kdc" to make sure
  the KDC is started first if running on the same server (#159980)
* Tue Jan 31 2006 - okir@suse.de
- Load RPCSEC_GSS kernel modules in rcgssd/rcsvcgssd init
  scripts (#142352)
- Enable NFSv4 by default
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 - ro@suse.de
- nfsserver rcscript: only mount nfsdfs if not mounted already
* Tue Jan 17 2006 - schwab@suse.de
- Don't strip binaries.
* Mon Dec 19 2005 - mmj@suse.de
- fix filelist
* Mon Nov 28 2005 - ro@suse.de
- fix init scripts: in the stop case, a not running service
  is not an error (#134904)
* Mon Nov 14 2005 - ro@suse.de
- packaging /var/lib/nfs/v4recovery directory (#133502)
* Thu Sep 01 2005 - okir@suse.de
- packaging /var/lib/nfs/rpc_pipefs directory (#114103)
* Thu Aug 25 2005 - ro@suse.de
- modify nfs-server script to support uml case (#86624)
* Fri Aug 19 2005 - okir@suse.de
- added NFS4_SUPPORT and NFS_SECURITY_GSS to sysconfig.nfs
- updated the idmapd script so it honors NFS4_SUPPORT
- updated gssd script so it honors NFS_SECURITY_GSS
- added svcgssd script
* Mon Jun 20 2005 - ro@suse.de
- fix in init-script (do not try unmount if not mounted) (#91460)
* Mon Jun 06 2005 - schwab@suse.de
- Install correct init script.
* Fri Jun 03 2005 - kukuk@suse.de
- Compile with -fpie/-pie
* Tue May 31 2005 - okir@suse.de
- Enabled NFSv4 and RPCSEC_GSS support
* Tue Apr 19 2005 - ro@suse.de
- do not warn about sync/async for readonly exports (#78369)
* Mon Apr 04 2005 - ro@suse.de
- make it build with gcc4
* Sat Feb 05 2005 - schwab@suse.de
- Update to nfs-utils 1.0.7.
- Make non-anonymous exports work again.
- Use BuildRoot.
* Mon Dec 13 2004 - ro@suse.de
- update to 1.0.7-pre2 (use 1.0.6.2 as package version)
- disable gss and nfsv4 for now
* Thu Dec 09 2004 - okir@suse.de
- make anonymous exports work again (#46918)
* Mon Aug 30 2004 - ro@suse.de
- added sysconfig variable to allow running mountd on a
  defined port
* Mon Aug 30 2004 - okir@suse.de
- Fix to prevent mountd from crashing on kernel upcalls
* Fri Aug 27 2004 - okir@suse.de
- Fix a permission problem after using exportfs -u
* Tue Aug 24 2004 - ro@suse.de
- remove "exportfs -au" from rcnfsserver stop
  (kernel zaps table on last server exit anyway) (#44049)
* Thu Jun 24 2004 - ro@suse.de
- added patch from okir to use nobody:nogroup again by default
  for anonymous (#42288)
* Tue Jun 22 2004 - ro@suse.de
- remove nfslock start script
- remove nfslock dependency
* Thu Jun 17 2004 - ro@suse.de
- mount nfsd filesystem if possible (#41955)
* Wed Mar 31 2004 - mmj@suse.de
- Remove unpackaged files
* Wed Mar 31 2004 - mmj@suse.de
- Move sm-notify to util-linux [#36737]
* Fri Mar 26 2004 - ro@suse.de
- remove rpc.statd completely
- add sm-notify and call it first in nfslock script (#36737)
* Tue Feb 03 2004 - ro@suse.de
- disable rquotad already in configure
  (no need to compile it, if we only remove it later)
* Tue Jan 20 2004 - okir@suse.de
- Include patch that allows Sun boxes to mount large files
* Mon Sep 15 2003 - ro@suse.de
- update to version 1.0.6 to fix a possible segfault in statd
- support for 2.6 kernels
* Fri Aug 29 2003 - ro@suse.de
- fix hed/tail calling syntax (#29644)
* Mon Aug 25 2003 - ro@suse.de
- add restart_on_update/stop_on_removal macros
* Fri Aug 15 2003 - ro@suse.de
- added sysconfig metadata (#28908)
* Tue Aug 05 2003 - ro@suse.de
- fix compile for rquotad (unused anyway
* Thu Jul 31 2003 - ro@suse.de
- add support for STATD_HOSTNAME (#28201)
* Mon Jul 28 2003 - ro@suse.de
- update to 1.0.5 and adapt patches
- overflow patch already included
- part of acl patch already included
* Mon Jul 21 2003 - agruen@suse.de
- Switch to officially reserved bit flag for `no_acl' export
  option: the previous bit was already allocated.
* Tue Jul 08 2003 - agruen@suse.de
- Add `no_acl' export option, replaces the nfs_permission_mode
  nfsd module parameter.
* Tue Jul 08 2003 - okir@suse.de
- Fixed off-by-one overflow (#27744)
* Thu Jun 12 2003 - kukuk@suse.de
- Add /var/lib/nfs to filelist
* Tue May 13 2003 - ro@suse.de
- fix file list
* Fri Mar 28 2003 - ro@suse.de
- update to 1.0.3
* Wed Jan 08 2003 - ro@suse.de
- added sysconfig metadata (#22663)
* Fri Sep 06 2002 - ro@suse.de
- rcnfsserver: moved ypbind to should-start (#18952)
- rcnfslock: fixed typo killing daemons on "status" (#19046)
* Tue Sep 03 2002 - ro@suse.de
- changed nfslock from should-start to required-start in
  nfsserver rc script (is in the same package anyway)
* Mon Aug 26 2002 - okir@suse.de
- Fixed minor manpage issue (#18326)
* Thu Aug 22 2002 - ro@suse.de
- fixed symlink rcnfslock (#18171)
* Wed Aug 07 2002 - ro@suse.de
- move statd and lockd to their own startscript (#17425)
* Thu Aug 01 2002 - ro@suse.de
- update to 1.0.1
- added prereqs
* Thu Jul 25 2002 - okir@suse.de
- Help users who do not configure a domain name: when
  sending out NSM_NOTIFY strip off .local suffix if
  present.
* Mon Jul 22 2002 - okir@suse.de
- partial fix for http://bugzilla.suse.de/show_bug.cgi?id=16957
  (missing NSM_NOTIFY call when rebooting).
* Tue Jul 16 2002 - kukuk@suse.de
- Don't source rc.config (#17025)
* Fri Jun 14 2002 - ro@suse.de
- run suse_update_config
* Tue Feb 26 2002 - ro@suse.de
- fixed wrong quotes in init-script (#13939)
* Wed Feb 06 2002 - ro@suse.de
- ignore returncodes from killing statd and lockd (#13072)
* Wed Feb 06 2002 - ro@suse.de
- sysconfig/nfs-server -> sysconfig/nfs
* Wed Jan 09 2002 - ro@suse.de
- removed variable NFS_SERVER (#12742)
- moved USE_KERNEL_NFSD_NUMBER to /etc/sysconfig/nfs-server
* Wed Sep 26 2001 - ro@suse.de
- up to 0.3.3
  many fixes to canonicalize hostnames in exports
* Fri Aug 24 2001 - ro@suse.de
- removed nfs-version 3 detection in start-script, all kernels
  that have kernel nfsd support usually do have nfsd-v3 support
  and detection would require at least a 5 sec wait in the script
* Tue Jul 31 2001 - kukuk@suse.de
- Fix path to init script in description [Bug #9494]
- Fix comment in runlevel section [Bug #9561]
- Make init script LSB conform [Bug #9073]
* Wed Apr 11 2001 - ro@suse.de
- lockd only started for 2.2 kernels instead of ignoring error
- completed rpc.statd to /sbin move in startscript
* Mon Mar 12 2001 - ro@suse.de
- move rpc.lockd, rpc.statd to /sbin
* Mon Mar 12 2001 - ro@suse.de
- update to 0.3.1
- ignore lockd error messages
- dump filedescriptors before starting kernel threads
* Tue Feb 06 2001 - ro@suse.de
- renamed package to nfs-utils
- Obsoletes and Provides nfsutils
* Fri Jan 12 2001 - ro@suse.de
- fixed conflicts: nfs-server (#5548)
* Thu Jan 11 2001 - ro@suse.de
- don't fail if lockd can't be started
* Wed Dec 06 2000 - bk@suse.de
- fix broken symlinks for %%{_mandir}/rpc.{nfs,mount,stat}d.8.gz
* Tue Nov 28 2000 - kukuk@suse.de
- Move new initscript to /etc/init.d
* Thu Oct 12 2000 - ro@suse.de
- exports.4 should be exports.5
- removed k-prefix
* Thu Oct 12 2000 - ro@suse.de
- added exports.4 man-page
- up to 0.2.1
* Wed Sep 27 2000 - ro@suse.de
- update to 0.2
- fix for nfsserver.init (check for v3)
* Thu Aug 17 2000 - ro@suse.de
- ugraded from knfsd to successor package nfs-utils (v.0.1.9.1)
* Fri Jul 28 2000 - bjacke@suse.de
- fixed checkproc call in init script
* Fri Jul 21 2000 - kukuk@suse.de
- Fix missing format string in syslog call (next rpc.statd security
  problem)
* Wed Jul 19 2000 - kukuk@suse.de
- Fix problem with NULL h_alias field (rpc.statd security problem)
* Thu Jun 22 2000 - kukuk@suse.de
- Change conflict from itself to nfsserv
* Tue Apr 18 2000 - kukuk@suse.de
- Fix rcnfsserver link
* Sat Apr 15 2000 - kukuk@suse.de
- Add rc.config variables and init script from aaa_base
* Wed Feb 16 2000 - kukuk@suse.de
- Fill out Copyright and Group field
- Remove rquotad from file list, it is already in the quota
  package [Bug 1571]
* Tue Jan 25 2000 - ro@suse.de
- manpages to /usr/share using macro
* Thu Oct 21 1999 - ro@suse.de
- renamed package from linuxnfs to knfsd
* Tue Oct 12 1999 - garloff@suse.de
- Fixed filelist (%%ghost)
* Tue Oct 12 1999 - garloff@suse.de
- upgraded to knsfd-1.5.2. Added klockd to file list.
  Ditto for new /dev/nfsd_netlink.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Sat Jul 17 1999 - ro@suse.de
- update to 1.4.6
* Mon Jun 14 1999 - kukuk@suse.de
- update to version 1.4
* Sun Jun 06 1999 - kukuk@suse.de
- update to version 1.3.3b
* Tue Mar 16 1999 - ro@suse.de
- update to version 1.2
* Thu Nov 26 1998 - ro@suse.de
- update to 981122
* Thu Nov 12 1998 - ro@suse.de
- use lx_hack
* Wed Oct 21 1998 - ro@suse.de
- added bugfix for statd (by HJL)
* Tue Oct 20 1998 - ro@suse.de
- update to knfsd-981014
* Mon Sep 28 1998 - ro@suse.de
- initial package / for use a 2.1 kernel with knfsd support is needed
